# INFO: When doing a bootstrap build on a new architecture, set this to 1 to
# avoid build loops.
%define build_bootstrap 1

# INFO: This package contains only C header files and pkg-config *.pc files,
# and does not contain any ELF binaries or DSOs, so we disable debuginfo
# generation.
%define debug_package %{nil}

Distribution:	CCux
Packager:  	Christian Metzen <metzench@ccux-linux.de>

Summary: 	X.Org X11 Protocol headers
Name: 		xorg-x11-proto-devel
Version: 	7.4
Release: 	7
License: 	The Open Group License
Group: 		Development/System
URL: 		http://www.x.org
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Source0:  	http://xorg.freedesktop.org/releases/individual/proto/bigreqsproto-1.0.2.tar.bz2
Source1:  	http://xorg.freedesktop.org/releases/individual/proto/compositeproto-0.4.tar.bz2
Source2:  	http://xorg.freedesktop.org/releases/individual/proto/damageproto-1.1.0.tar.bz2
Source3:  	http://xorg.freedesktop.org/releases/individual/proto/dmxproto-2.2.2.tar.bz2
Source4:  	http://xorg.freedesktop.org/releases/individual/proto/evieext-X11R7.0-1.0.2.tar.bz2
Source5:  	http://xorg.freedesktop.org/releases/individual/proto/fixesproto-4.0.tar.bz2
Source6:  	http://xorg.freedesktop.org/releases/individual/proto/fontcacheproto-X11R7.0-0.1.2.tar.bz2
Source7:  	http://xorg.freedesktop.org/releases/individual/proto/fontsproto-X11R7.0-2.0.2.tar.bz2
Source8:  	http://xorg.freedesktop.org/releases/individual/proto/glproto-1.4.9.tar.bz2
Source9:  	http://xorg.freedesktop.org/releases/individual/proto/inputproto-1.5.0.tar.bz2
Source10: 	http://xorg.freedesktop.org/releases/individual/proto/kbproto-1.0.3.tar.bz2
Source12: 	http://xorg.freedesktop.org/releases/individual/proto/printproto-1.0.4.tar.bz2
Source13: 	http://xorg.freedesktop.org/releases/individual/proto/randrproto-1.3.0.tar.bz2
Source14: 	http://xorg.freedesktop.org/releases/individual/proto/recordproto-1.13.2.tar.bz2
Source15: 	http://xorg.freedesktop.org/releases/individual/proto/renderproto-0.9.3.tar.bz2
Source16: 	http://xorg.freedesktop.org/releases/individual/proto/resourceproto-1.0.2.tar.bz2
Source17: 	http://xorg.freedesktop.org/releases/individual/proto/scrnsaverproto-1.1.0.tar.bz2
Source18: 	http://xorg.freedesktop.org/releases/individual/proto/trapproto-3.4.3.tar.bz2
Source19: 	http://xorg.freedesktop.org/releases/individual/proto/videoproto-2.2.2.tar.bz2
Source20: 	http://xorg.freedesktop.org/releases/individual/proto/xcmiscproto-1.1.2.tar.bz2
Source21: 	http://xorg.freedesktop.org/releases/individual/proto/xextproto-7.0.5.tar.bz2
Source22: 	http://xorg.freedesktop.org/releases/individual/proto/xf86bigfontproto-1.1.2.tar.bz2
Source23: 	http://xorg.freedesktop.org/releases/individual/proto/xf86dgaproto-2.0.3.tar.bz2
Source24: 	http://xorg.freedesktop.org/releases/individual/proto/xf86driproto-2.0.4.tar.bz2
Source25: 	http://xorg.freedesktop.org/releases/individual/proto/xf86miscproto-0.9.2.tar.bz2
Source26: 	http://xorg.freedesktop.org/releases/individual/proto/xf86rushproto-1.1.2.tar.bz2
Source27: 	http://xorg.freedesktop.org/releases/individual/proto/xf86vidmodeproto-2.2.2.tar.bz2
Source28: 	http://xorg.freedesktop.org/releases/individual/proto/xineramaproto-1.1.2.tar.bz2
Source29: 	http://xorg.freedesktop.org/releases/individual/proto/xproto-7.0.15.tar.bz2
Source30: 	http://xorg.freedesktop.org/releases/individual/proto/xproxymanagementprotocol-1.0.2.tar.bz2
Source31:  	http://xcb.freedesktop.org/dist/xcb-proto-1.4.tar.bz2
Source32: 	http://xorg.freedesktop.org/releases/individual/proto/dri2proto-2.0.tar.bz2

BuildRequires: 	pkg-config
BuildRequires: 	xorg-x11-util-macros >= 1.0.2-1
# FIXME: This buildreq on xorg-x11-filesystem isn't really necessary, and
# can be removed in the future.  The main purpose of it being here right
# now, is to force buildmachines to get updated to solve the dir/symlink
# issue.
BuildRequires: 	xorg-x11-filesystem >= 0.99.2-3
BuildRequires:	python

Obsoletes: 	xorg-devel

# NOTE: This dependency on xorg-x11-filesystem is required to work around
# a nasty upgrade problem when going from FC4->FC5 or monolithic to
# modular X.Org.  Bug #173384.
Requires(pre): 	xorg-x11-filesystem >= 0.99.2-3

%if ! %{build_bootstrap}
Requires: mesa-libGL-devel
%endif
# Require for rpm lzma compression
Requires:        rpm >= 4.4.2.3-1


#Automatically resolved build dependencies
BuildRequires: python-devel

%description
X.Org X11 Protocol headers

%prep
%setup -q -c %{name}-%{version} -a1 -a2 -a3 -a4 -a5 -a6 -a7 -a8 -a9 -a10 -a12 -a13 -a14 -a15 -a16 -a17 -a18 -a19 -a20 -a21 -a22 -a23 -a24 -a25 -a26 -a27 -a28 -a29 -a30 -a31 -a32

%build
#ls -al

# Proceed through each proto package directory, building them all
for dir in $(ls -1) ; do
	pushd $dir
	%configure
	make %{?_smp_mflags}
	popd
done

%install
rm -rf $RPM_BUILD_ROOT
for dir in $(ls -1) ; do
	pushd $dir
	make install DESTDIR=$RPM_BUILD_ROOT
	popd
done

# this header is supposed to come from Mesa, not driproto
rm -f $RPM_BUILD_ROOT/%{_includedir}/GL/internal/dri_interface.h


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc
%dir %{_includedir}/GL
%{_includedir}/GL/glxint.h
%{_includedir}/GL/glxmd.h
%{_includedir}/GL/glxproto.h
%{_includedir}/GL/glxtokens.h
%dir %{_includedir}/GL/internal
%{_includedir}/GL/internal/glcore.h
#%{_includedir}/GL/internal/dri_interface.h
%dir %{_includedir}/X11
%{_includedir}/X11/DECkeysym.h
%{_includedir}/X11/HPkeysym.h
%dir %{_includedir}/X11/PM
%{_includedir}/X11/PM/PM.h
%{_includedir}/X11/PM/PMproto.h
%{_includedir}/X11/Sunkeysym.h
%{_includedir}/X11/X.h
%{_includedir}/X11/XF86keysym.h
%{_includedir}/X11/XWDFile.h
%{_includedir}/X11/Xalloca.h
%{_includedir}/X11/Xarch.h
%{_includedir}/X11/Xatom.h
%{_includedir}/X11/Xdefs.h
%{_includedir}/X11/Xfuncproto.h
%{_includedir}/X11/Xfuncs.h
%{_includedir}/X11/Xmd.h
%{_includedir}/X11/Xos.h
%{_includedir}/X11/Xos_r.h
%{_includedir}/X11/Xosdefs.h
%{_includedir}/X11/Xpoll.h
%{_includedir}/X11/Xproto.h
%{_includedir}/X11/Xprotostr.h
%{_includedir}/X11/Xthreads.h
%{_includedir}/X11/Xw32defs.h
%{_includedir}/X11/Xwindows.h
%{_includedir}/X11/Xwinsock.h
%{_includedir}/X11/ap_keysym.h
%dir %{_includedir}/X11/dri
%{_includedir}/X11/dri/xf86dri.h
%{_includedir}/X11/dri/xf86dristr.h
%dir %{_includedir}/X11/extensions
%{_includedir}/X11/extensions/dri2tokens.h
%{_includedir}/X11/extensions/MITMisc.h
%{_includedir}/X11/extensions/Print.h
%{_includedir}/X11/extensions/Printstr.h
%{_includedir}/X11/extensions/XEVI.h
%{_includedir}/X11/extensions/XEVIstr.h
%{_includedir}/X11/extensions/XI.h
%{_includedir}/X11/extensions/XInput.h
%{_includedir}/X11/extensions/XIproto.h
#%{_includedir}/X11/extensions/XI2.h
#%{_includedir}/X11/extensions/XI2proto.h
%{_includedir}/X11/extensions/XKB.h
%{_includedir}/X11/extensions/XKBgeom.h
%{_includedir}/X11/extensions/XKBproto.h
%{_includedir}/X11/extensions/XKBsrv.h
%{_includedir}/X11/extensions/XKBstr.h
%{_includedir}/X11/extensions/XLbx.h
%{_includedir}/X11/extensions/XResproto.h
%{_includedir}/X11/extensions/XShm.h
%{_includedir}/X11/extensions/XTest.h
%{_includedir}/X11/extensions/Xag.h
#%{_includedir}/X11/extensions/Xagsrv.h
%{_includedir}/X11/extensions/Xagstr.h
%{_includedir}/X11/extensions/Xcup.h
%{_includedir}/X11/extensions/Xcupstr.h
%{_includedir}/X11/extensions/Xdbe.h
%{_includedir}/X11/extensions/Xdbeproto.h
%{_includedir}/X11/extensions/Xext.h
%{_includedir}/X11/extensions/Xeviestr.h
%{_includedir}/X11/extensions/Xinerama.h
%{_includedir}/X11/extensions/Xv.h
%{_includedir}/X11/extensions/XvMC.h
%{_includedir}/X11/extensions/XvMCproto.h
%{_includedir}/X11/extensions/Xvproto.h
%{_includedir}/X11/extensions/bigreqstr.h
%{_includedir}/X11/extensions/composite.h
%{_includedir}/X11/extensions/compositeproto.h
%{_includedir}/X11/extensions/damageproto.h
%{_includedir}/X11/extensions/damagewire.h
%{_includedir}/X11/extensions/dmxext.h
%{_includedir}/X11/extensions/dmxproto.h
%{_includedir}/X11/extensions/dpms.h
%{_includedir}/X11/extensions/dpmsstr.h
%{_includedir}/X11/extensions/extutil.h
%{_includedir}/X11/extensions/fontcache.h
%{_includedir}/X11/extensions/fontcacheP.h
%{_includedir}/X11/extensions/fontcachstr.h
%{_includedir}/X11/extensions/lbxbuf.h
%{_includedir}/X11/extensions/lbxbufstr.h
%{_includedir}/X11/extensions/lbxdeltastr.h
%{_includedir}/X11/extensions/lbximage.h
%{_includedir}/X11/extensions/lbxopts.h
%{_includedir}/X11/extensions/lbxstr.h
%{_includedir}/X11/extensions/lbxzlib.h
%{_includedir}/X11/extensions/mitmiscstr.h
%{_includedir}/X11/extensions/multibuf.h
%{_includedir}/X11/extensions/multibufst.h
%{_includedir}/X11/extensions/panoramiXext.h
%{_includedir}/X11/extensions/panoramiXproto.h
%{_includedir}/X11/extensions/randr.h
%{_includedir}/X11/extensions/randrproto.h
%{_includedir}/X11/extensions/record.h
%{_includedir}/X11/extensions/recordstr.h
%{_includedir}/X11/extensions/render.h
%{_includedir}/X11/extensions/renderproto.h
%{_includedir}/X11/extensions/saver.h
%{_includedir}/X11/extensions/saverproto.h
%{_includedir}/X11/extensions/scrnsaver.h
%{_includedir}/X11/extensions/security.h
%{_includedir}/X11/extensions/securstr.h
%{_includedir}/X11/extensions/shape.h
%{_includedir}/X11/extensions/shapestr.h
%{_includedir}/X11/extensions/shmstr.h
%{_includedir}/X11/extensions/sync.h
%{_includedir}/X11/extensions/syncstr.h
%{_includedir}/X11/extensions/vldXvMC.h
%{_includedir}/X11/extensions/xcmiscstr.h
%{_includedir}/X11/extensions/xf86bigfont.h
%{_includedir}/X11/extensions/xf86bigfstr.h
%{_includedir}/X11/extensions/xf86dga.h
%{_includedir}/X11/extensions/xf86dga1.h
%{_includedir}/X11/extensions/xf86dga1str.h
%{_includedir}/X11/extensions/xf86dgastr.h
%{_includedir}/X11/extensions/xf86misc.h
%{_includedir}/X11/extensions/xf86mscstr.h
%{_includedir}/X11/extensions/xf86rush.h
%{_includedir}/X11/extensions/xf86rushstr.h
%{_includedir}/X11/extensions/xf86vmode.h
%{_includedir}/X11/extensions/xf86vmstr.h
%{_includedir}/X11/extensions/xfixesproto.h
%{_includedir}/X11/extensions/xfixeswire.h
%{_includedir}/X11/extensions/xtestext1.h
%{_includedir}/X11/extensions/xteststr.h
%{_includedir}/X11/extensions/xtrapbits.h
%{_includedir}/X11/extensions/xtrapddmi.h
%{_includedir}/X11/extensions/xtrapdi.h
%{_includedir}/X11/extensions/xtrapemacros.h
%{_includedir}/X11/extensions/xtraplib.h
%{_includedir}/X11/extensions/xtraplibp.h
%{_includedir}/X11/extensions/xtrapproto.h
%{_includedir}/X11/extensions/Xge.h
%{_includedir}/X11/extensions/dri2proto.h
%{_includedir}/X11/extensions/ge.h
%{_includedir}/X11/extensions/geproto.h
%dir %{_includedir}/X11/fonts
%{_includedir}/X11/fonts/FS.h
%{_includedir}/X11/fonts/FSproto.h
%{_includedir}/X11/fonts/font.h
%{_includedir}/X11/fonts/fontproto.h
%{_includedir}/X11/fonts/fontstruct.h
%{_includedir}/X11/fonts/fsmasks.h
%{_includedir}/X11/keysym.h
%{_includedir}/X11/keysymdef.h
%{_libdir}/pkgconfig/bigreqsproto.pc
%{_libdir}/pkgconfig/compositeproto.pc
%{_libdir}/pkgconfig/damageproto.pc
%{_libdir}/pkgconfig/dmxproto.pc
%{_libdir}/pkgconfig/evieproto.pc
%{_libdir}/pkgconfig/fixesproto.pc
%{_libdir}/pkgconfig/fontcacheproto.pc
%{_libdir}/pkgconfig/fontsproto.pc
%{_libdir}/pkgconfig/glproto.pc
%{_libdir}/pkgconfig/inputproto.pc
%{_libdir}/pkgconfig/kbproto.pc
%{_libdir}/pkgconfig/printproto.pc
%{_libdir}/pkgconfig/randrproto.pc
%{_libdir}/pkgconfig/recordproto.pc
%{_libdir}/pkgconfig/renderproto.pc
%{_libdir}/pkgconfig/resourceproto.pc
%{_libdir}/pkgconfig/scrnsaverproto.pc
%{_libdir}/pkgconfig/trapproto.pc
%{_libdir}/pkgconfig/videoproto.pc
%{_libdir}/pkgconfig/xcmiscproto.pc
%{_libdir}/pkgconfig/xextproto.pc
%{_libdir}/pkgconfig/xf86bigfontproto.pc
%{_libdir}/pkgconfig/xf86dgaproto.pc
%{_libdir}/pkgconfig/xf86driproto.pc
%{_libdir}/pkgconfig/xf86miscproto.pc
%{_libdir}/pkgconfig/xf86rushproto.pc
%{_libdir}/pkgconfig/xf86vidmodeproto.pc
%{_libdir}/pkgconfig/xineramaproto.pc
%{_libdir}/pkgconfig/xproto.pc
%{_libdir}/pkgconfig/xproxymngproto.pc
%{_libdir}/pkgconfig/xcb-proto.pc
%{_libdir}/pkgconfig/dri2proto.pc
%{_datadir}/xcb
%{_datadir}/doc/damageproto/damageproto.txt
%{_datadir}/doc/randrproto/randrproto.txt
%{_datadir}/doc/compositeproto/compositeproto.txt
%{_datadir}/doc/renderproto/renderproto.txt
%{_libdir}/python*/site-packages/xcbgen/*.py
%{_libdir}/python*/site-packages/xcbgen/*.pyc
%{_libdir}/python*/site-packages/xcbgen/*.pyo

%changelog
* Fri May 21 2009 Karsten Brockmann <arcam@ccux-linux.de> 7.4-7
- clean stable build
- inputproto 1.5.0
* Mon Apr 27 2009 Karsten Brockmann <arcam@ccux-linux.de> 7.4-6
- updated dri2proto to 2.0
* Fri Mar 10 2009 Karsten Brockmann <arcam@ccux-linux.de> 7.4-5
- updated inputproto to 1.9.99.7 (for MPX build)
* Fri Mar 10 2009 Karsten Brockmann <arcam@ccux-linux.de> 7.4-5
- updated randrproto to 1.3.0
- updated xproto to 7.0.15
* Fri Feb 27 2009 Karsten Brockmann <arcam@ccux-linux.de> 7.4-4
- updated randrproto to 1.2.99.4
- updated xextproto to 7.0.5
- updated xcbproto to 1.4
* Wed Jan 23 2009 Karsten Brockmann <arcam@ccux-linux.de> 7.4-3
- updated xcb-proto to 1.3
* Wed Jan 07 2009 Karsten Brockmann <arcam@ccux-linux.de> 7.4-2
- updated dri2proto to 1.99.3
- updated inputproto to 1.5.0
- updated randrproto to 1.2.99.3
- updated xextproto to 7.0.4
- updated xproto to 7.0.14
* Sun Sep 28 2008 Karsten Brockmann <arcam@ccux-linux.de> 7.4-1
- Xorg 7.4
* Sat Sep 06 2008 Stefan Gottwald <gotti@ccux-linux.de> 7.3-5
- updated inputproto to version 1.4.4
- updated printproto to version 1.0.4
- updated randrproto to version 1.2.2
- updated xextproto to version 7.0.3
- updated xf86driproto to version 2.0.4
- updated xproto to version 7.0.13
- updated xcb-proto to version 1.2
- add dr2proto version 1.1
* Wed May 28 2008 Christian Metzen <metzench@ccux-linux.de> 7.3-4
- updated xcb-proto to 1.1
* Sat Jan 05 2008 Christian Metzen <metzench@ccux-linux.de> 7.3-3
- removed dri_interface.h, comes from mesa
* Sat Nov 17 2007 Karsten Brockmann <arcam@ccux-linux.de> 7.3-2
- glproto 1.4.9
* Thu Sep 06 2007 Karsten Brockmann <arcam@ccux-linux.de> 7.3-1
- compositeproto 0.4
- inputproto 1.4.2.1
- renderproto 0.9.3
- xf86dgaproto 2.0.3
* Wed Jun 06 2007 Karsten Brockmann <arcam@ccux-linux.de> 7.2-2
- RandR proto 1.2.1
- input proto 1.4.2
- damage proto 1.1.0
* Sun Feb 18 2007 Karsten Brockmann <arcam@ccux-linux.de> 7.2-1
- Version update
- added xcb-proto
* Sat Jul 01 2006 Christian Metzen <metzench@ccux-linux.de> 7.1-1
- Initial release
